Skip to main content
`Ctrl`+`K`

# PetscLogEventInfo

A registry entry about a logging event for `PetscLogState`.

## Synopsis

    typedef struct {
      char        *name;       /* The name of this event */
      PetscClassId classid;    /* The class the event is associated with */
      PetscBool    collective; /* Flag this event as collective */
    } PetscLogEventInfo;

## See Also

Profiling, `PetscLogEvent`, `PetscLogState`, `PetscLogStateEventGetInfo()`

## Level

developer

## Location

include/petsclogtypes.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages